Loading...
Searching...
No Matches
Gfx::DeviceConfig Struct Reference

General config for graphics device. More...

`#include <src/graphics/core/device.h>`

## Public Member Functions

void | LoadDefault ()
| Loads the default values.

## Public Attributes

Math::IntPoint | size = Math::IntPoint(800, 600)
| Screen size.
int | bpp = 32
| Bits per pixel.
bool | fullScreen = false
| Full screen.
bool | resizeable = true
| Resizeable window.
bool | doubleBuf = true
| Double buffering.
bool | noFrame = false
| No window frame (also set with full screen).
int | redSize = 8
| Size of red channel in bits.
int | greenSize = 8
| Size of green channel in bits.
int | blueSize = 8
| Size of blue channel in bits.
int | alphaSize = 8
| Size of alpha channel in bits.
int | depthSize = 24
| Color depth in bits.
int | stencilSize = 8
| Stencil depth in bits.
bool | hardwareAccel = true
| Force hardware acceleration (video mode set will fail on lack of hw accel).

## Detailed Description

General config for graphics device.

These settings are common window options set by SDL.

## Member Function Documentation

## LoadDefault()

void Gfx::DeviceConfig::LoadDefault | ( |  | ) |

inline

Loads the default values.

## Member Data Documentation

## size

Math::IntPoint Gfx::DeviceConfig::size = Math::IntPoint(800, 600)

Screen size.

## bpp

int Gfx::DeviceConfig::bpp = 32

Bits per pixel.

## fullScreen

bool Gfx::DeviceConfig::fullScreen = false

Full screen.

## resizeable

bool Gfx::DeviceConfig::resizeable = true

Resizeable window.

## doubleBuf

bool Gfx::DeviceConfig::doubleBuf = true

Double buffering.

## noFrame

bool Gfx::DeviceConfig::noFrame = false

No window frame (also set with full screen).

## redSize

int Gfx::DeviceConfig::redSize = 8

Size of red channel in bits.

## greenSize

int Gfx::DeviceConfig::greenSize = 8

Size of green channel in bits.

## blueSize

int Gfx::DeviceConfig::blueSize = 8

Size of blue channel in bits.

## alphaSize

int Gfx::DeviceConfig::alphaSize = 8

Size of alpha channel in bits.

## depthSize

int Gfx::DeviceConfig::depthSize = 24

Color depth in bits.

## stencilSize

int Gfx::DeviceConfig::stencilSize = 8

Stencil depth in bits.

## hardwareAccel

bool Gfx::DeviceConfig::hardwareAccel = true

Force hardware acceleration (video mode set will fail on lack of hw accel).

The documentation for this struct was generated from the following file:

- src/graphics/core/device.h